### File

`packages/components/directives/eui-smooth-scroll.directive.ts`

### Metadata

Selector | `[euiScrollTo]`

### Index

###### Properties
targetElement
###### Methods
onClick
###### Inputs
callbackAfter callbackBefore containerId duration easing euiScrollTo middleAlign offset
###### HostListeners
click

### Inputs

callbackAfter
Type : `any`

callbackBefore
Type : `any`

containerId
Type : `string`

duration
Type : `number`

easing
Type : `string`

euiScrollTo
Type : `string`

middleAlign
Type : `any`

offset
Type : `number`

### HostListeners

click

### Methods

onClick
`onClick()`
Decorators : `@HostListener('click')`
Returns : `void`

### Properties

targetElement
Type : `any`

# results matching ""

# No results matching ""